Bug 1805192 - Latest image nodejs10 for jenkins agent is available at quay.io but not in registry.redhat.io repository [NEEDINFO]
Summary: Latest image nodejs10 for jenkins agent is available at quay.io but not in re...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Akram Ben Aissi
QA Contact: Wei Sun
URL:
Whiteboard:
Depends On:
Blocks: 1827081
TreeView+ depends on / blocked
 
Reported: 2020-02-20 13:19 UTC by Sarang Kher
Modified: 2020-06-18 16:04 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1827081 (view as bug list)
Environment:
Last Closed: 2020-06-17 20:21:25 UTC
Target Upstream Version:
mbagga: needinfo? (akram)
abenaiss: needinfo? (lmeyer)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:2477 0 None None None 2020-06-17 20:21:43 UTC

Description Sarang Kher 2020-02-20 13:19:09 UTC
We can see the nodejs 10 version for the jenkins agent in quay.io repository

This is request to have the similar image in registry.redhat.io repository.

quay.io/openshift/origin-jenkins-agent-nodejs                        latest              2c79c6a594fe        2 weeks ago         860 MB

quay.io/vbobade/openshift-jenkins-agent-nodejs-10                    latest              752d8118a25a        4 months ago        868 MB

Comment 1 rlapore 2020-03-03 17:36:35 UTC
Escalating the case per customer escalation - high profile Government customer and they have escalated this as they believe that the delay is now impacting their migration from 3.7 Socket to 3.11 Core OpenShift

Comment 2 Sean Burke 2020-03-04 09:13:23 UTC
Adding case 02571934 as Postbank, subsidiary of Deutsche Bank have the same request

Comment 3 Siamak Sadeghianfar 2020-03-06 13:08:31 UTC
The RFE is accepted and is added to the roadmap. I will add timeline as soon as we finish planning.

Comment 17 XiuJuan Wang 2020-06-15 07:31:10 UTC
We have images jenkins-agent-nodejs-10-rhel7:v3.11 and jenkins-agent-nodejs-12-rhel7:v3.11 in registry.stage.redhat.io and registry.reg-aws.openshift.com:443 regisry, after release they will be published to registry.redhat.io/openshift3 repository.
$skopeo inspect docker://registry.stage.redhat.io/openshift3/jenkins-agent-nodejs-10-rhel7:v3.11 | grep version 
        "version": "v3.11.232"
$skopeo inspect docker://registry.stage.redhat.io/openshift3/jenkins-agent-nodejs-12-rhel7:v3.11 | grep version 
        "version": "v3.11.232"

Comment 19 errata-xmlrpc 2020-06-17 20:21:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2477


Note You need to log in before you can comment on or make changes to this bug.